ModelSell Docs
VideosSeedance 2.0

Seedance 2.0 视频生成

POST
/api/v3/contents/generations/tasks

使用 Seedance 2.0 官方 content[] 格式创建异步视频生成任务。支持文生视频、图生视频、视频生视频、图像与音频组合、视频与音频组合,以及图像、视频、音频全模态引用。

若希望使用 ModelSell 的通用视频格式,也可以调用 /v1/video/generations/v1/videos,通过 promptimageimagesmetadata.video_urlmetadata.audio_url 等字段提交。

需要复用图片、视频或音频素材时,先调用 /api/assets/upload 上传素材,素材状态为 Active 后可在 content[].*_url.url 中传入 asset://<asset_id>

Authorization

bearerAuth
AuthorizationBearer <token>

使用 Authorization Bearer API Key 进行鉴权。

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v3/contents/generations/tasks" \  -H "Content-Type: application/json" \  -d '{    "model": "doubao-seedance-2-0-260128",    "content": [      {        "type": "text",        "text": "一只金色柴犬在樱花树下奔跑,镜头缓缓上升"      }    ],    "resolution": "480p",    "ratio": "16:9",    "duration": 5,    "watermark": false  }'
{
  "id": "task_UPUfjg0S3UXekH2OgTZBXyqgGhsxgkp6",
  "status": "queued",
  "model": "doubao-seedance-2-0-260128",
  "created_at": 0,
  "content": {
    "video_url": "https://example.com/doubao-seedance-2-0/result.mp4"
  },
  "usage": {
    "completion_tokens": 100858
  },
  "error": {
    "code": "invalid_parameter",
    "message": "视频格式不支持"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}